/*
    JARDS, Japanese Reference and Drilling System.
    Copyright (C) 2006  Johnny Andersson (e-mail: andersson.johnny@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <iostream>
#include <qapplication.h>
#include <qlineedit.h>
#include "globaleventfilter.h"

using std::cerr;


GlobalEventFilter::GlobalEventFilter(QObject *parent, const char *name)
    : QObject(parent, name)
{}


GlobalEventFilter::~GlobalEventFilter()
{}


bool GlobalEventFilter::eventFilter(QObject *o, QEvent *e)
{
    if(e->type() == QEvent::KeyPress)
    {
        QKeyEvent *k = (QKeyEvent *)e;
        if(k->key() == Key_Backspace)
        {
            if(qApp->focusWidget() == 0)
            {
                emit(focusSearch());
                return true;
            }
           else if(!qApp->focusWidget()->inherits("QLineEdit"))
           {
               emit(focusSearch());
               return true;
           }
        }
    }
    return false;
}
