/*
    JARDS, Japanese Reference and Drilling System.
    Copyright (C) 2006  Johnny Andersson (e-mail: andersson.johnny@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef LISTMANAGER_H
#define LISTMANAGER_H

#include <qobject.h>
#include "itemlist.h"

class ListManager : public QObject
{
    Q_OBJECT
public:

    ListManager();
    ~ListManager();

    QStringList listNames();

    ItemList *listAt(int index);
    ItemList *appendList(const QString& name);
	ItemList *getListByName(const QString& name);

    int count();

    void deleteList(ItemList *list);

    bool nameExists(const QString& name);

    QList<ItemList> lists() {return _lists;};

    bool saveAll();
    void loadAll();

	void setCurrentList(int index) { _currentList = index; };
	ItemList *currentList() { return _lists.at(_currentList); }; 

   // static QList<ItemBase> randomizeLists(QList<List>& lists);
   // static bool exportAsHTML(QList<List>& lists, ExportFlags flags, const QString& fileName);

public slots:
	void slotAddToCurrentList(const Item *item);

signals:
	void doneLoading();
	void changed();

private:
    static QCString toHTML(const QString& str);
    int _currentList;
    QList<ItemList> _lists;

};

extern ListManager *glListManager;

#endif
