/*
    JARDS, Japanese Reference and Drilling System.
    Copyright (C) 2006  Johnny Andersson (e-mail: andersson.johnny@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#include "syncclient.h"

SyncClient::SyncClient(QObject *parent) : QObject(parent)
{
	_socket = new QSocket(this);
	_stream = new QTextStream(_socket);
	_stream->setEncoding(QTextStream::UnicodeUTF8);

	connect(_socket, SIGNAL(connected()), this, SLOT(slotConnected()));
	connect(_socket, SIGNAL(error(int)), this, SLOT(slotError(int)));

}

SyncClient::~SyncClient()
{
}

void SyncClient::attemptConnection(const QString& host, int port)
{
	_socket->connectToHost(host, port);
}

QStringList SyncClient::getListNames()
{
	_stream << "get_list_names" << endl;
	return receiveLines();
}

QStringList SyncClient::receiveLines()
{
	QStringList ret;
	QString str = _stream.readLine();

	while(str != "end_of_data")
	{
		ret.append(str);
		_socket.waitForMore(1000);
	}

	return ret;
}

void SyncClient::slotConnected()
{
}

void SyncClient::slotError(int error)
{
}

