/*
    JARDS, Japanese Reference and Drilling System.
    Copyright (C) 2006  Johnny Andersson (e-mail: andersson.johnny@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef SYNCCLIENT_H
#define SYNCCLIENT_H

#include <qsocket.h>
#include <qtextstream.h>
#include <qstringlist.h>

class SyncClient : QObject
{
	Q_OBJECT
public:

	SyncClient(QObject *parent = 0);
	~SyncClient();

	void attemptConnection(const QString& host, int port = 1970);
	QStringList getListNames();

private:
	QStringList receiveLines();
	QSocket *_socket;
	QTextStream *_stream;

private slots:
	void slotError(int error);
	void slotConnected();

};


#endif
