/*
    JARDS, Japanese Reference and Drilling System.
    Copyright (C) 2006  Johnny Andersson (e-mail: andersson.johnny@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef BOXTRAIN_H
#define BOXTRAIN_H
#include "itemlist.h"
#include "boxtrainwidget.h"
#include "trainselect.h"

class QPopupMenu;

class BoxTrain : public BoxTrainWidget
{
    Q_OBJECT
public:

    BoxTrain(QWidget *parent = 0, const char *name = 0);
    ~BoxTrain();

	void setList(TrainList *list);

signals:
	void showTrainSelect();


private slots:
	void slotFontsChanged();
	void slotIconsChanged();
	void slotUnknownClicked();
	void slotKnownClicked();
	void slotAnswerClicked();
	void slotClueClicked();
	void slotIgnoreClicked();
	void slotFinishClicked();
	void slotPadClicked();
	void slotDontQuizClicked();

private:
	void updatePad();
	int _padId;
	void resizeEvent(QResizeEvent *e);
	QString inTag(const QString& tag, const QString& str);
	QString _kind;
	void setInstruction(const QString& from, const QString& to);
    virtual void keyReleaseEvent(QKeyEvent *e);
	void nextItem();
	void displayItem();
	TrainList	*_list;
	TrainItem	*_item;
	int			_pos;
	QLabel *_kanji;
	QLabel *_kana;
	QLabel *_meaning;	
	QPopupMenu *_menu;
};

#endif
