/*
    JARDS, Japanese Reference and Drilling System.
    Copyright (C) 2006  Johnny Andersson (e-mail: andersson.johnny@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef BUTTONGRID_H
#define BUTTONGRID_H

#ifdef USE_QPE
#include <qlist.h>
#else
  #include <qptrlist.h>
#endif
    
#include <qscrollview.h>
#include "kanjibutton.h"

class ButtonGrid : public QScrollView
{
Q_OBJECT
public:
    ButtonGrid(QWidget *parent = 0, const char *name = 0);

    ~ButtonGrid();
 
    void setButtons(const QString& str);
    void setToggleButtons(bool toggle);
    void unselect(QChar ch);
    QString selected();
    QString buttons();
    void setSelected(const QString& str);
	void updateFonts();

signals:
    void selectionChanged();
    void kanjiSelected(QChar ch);
    void kanjiHeld(QChar ch);

private:
    bool _toggle;
    QString _pressed;
    void updateButtons();
    void resizeEvent(QResizeEvent *e);    
    QList<KanjiButton> _buttons;

private slots:
    void slotButtonHeld(QChar ch);    
    void slotButtonClicked(QChar ch, QButton::ToggleState state);  
};

#endif
