/*
    JARDS, Japanese Reference and Drilling System.
    Copyright (C) 2006  Johnny Andersson (e-mail: andersson.johnny@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// Based on the Qt "Scribble" example

#ifndef CANVAS_H
#define CANVAS_H

#include <qwidget.h>
#include <qpixmap.h>
#include <qpointarray.h>
#include <qpoint.h>
#include <qpen.h>
#include <qvaluelist.h>

#define MAX_STROKES 1000

class Canvas : public QWidget
{
    Q_OBJECT

public:
    Canvas(QWidget *parent = 0, const char *name = 0);
    Canvas::~Canvas();

    QPointArray strokes() {return _strokes;};
    void setPenColor(const QColor &c) {_pen.setColor(c);}
    void setPenWidth(int w) {_pen.setWidth(w);}
    int penWidth() const {return _pen.width();}
    int numPoints() const {return _n;};
    bool isDrawing();

signals:
    void strokesChanged(int);

public slots:
    void slotUndo();
    void slotClear();

protected:
    void mousePressEvent(QMouseEvent *e);
    void mouseReleaseEvent(QMouseEvent *e);
    void mouseMoveEvent(QMouseEvent *e);
    void resizeEvent(QResizeEvent *e);
    void paintEvent(QPaintEvent *e);
    QPen _pen;
    QPointArray _polyline, _strokes;

    bool _mousePressed;

    QPixmap _buffer;
	
    int _n, _ps;
    int _strokeCount;
};


#endif
