/*
    JARDS, Japanese Reference and Drilling System.
    Copyright (C) 2006  Johnny Andersson (e-mail: andersson.johnny@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef EDITLISTS_H
#define EDITLISTS_H

#include <qpopupmenu.h>

#include "editlistswidget.h"
#include "itemlist.h"

class EditLists : public EditListsWidget
{
    Q_OBJECT
public:
    EditLists(QWidget *parent = 0, const char *name = 0, WFlags f = 0);
    ~EditLists();

    void reset();

signals:
    void focusSearch(QChar);
    void setTheseRadicals(QChar);
    void showItem(const Item *);

private slots:
	void slotFontsChanged();
	void slotIconsChanged();
	void slotItemDeleteClicked();
	void slotItemDetailsClicked();
	void slotItemSettingsClicked();
	void slotListSettingsClicked();
	void slotListsLoaded();

private:
	void addMenuItems();
    void updateComboBox();
    ItemList *_currList;
	int _removeListId;
	int _saveAllId;
	int _listSettingsId;
	QPopupMenu *_listMenu;

private slots:
    void slotExportClicked();
    void slotDeleteClicked();
    void slotNewClicked();
    void slotSaveClicked();
    void slotCBActivated(int index);

};

#endif
