/*
    JARDS, Japanese Reference and Drilling System.
    Copyright (C) 2006  Johnny Andersson (e-mail: andersson.johnny@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef FONTDIALOG_H
#define FONTDIALOG_H

#include "fontdialogbase.h"
#include "fonts.h"

class FontDialog : public FontDialogBase
{
Q_OBJECT
public:
    FontDialog(QWidget *parent = 0, const char *name = 0);
    ~FontDialog();

	void apply();

private slots:
	void slotChangeGeneric();
	void slotChangeKana();
	void slotChangeLargeKanji();
	void slotChangeLargeKana();

private:
	QFont _generic;
	QFont _kana;
	QFont _largeKana;
	QFont _largeKanji;

	void updateLabels();
	void changeFont(QFont& font);
	Fonts _fonts;

};

#endif
