/*
    JARDS, Japanese Reference and Drilling System.
    Copyright (C) 2006  Johnny Andersson (e-mail: andersson.johnny@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef HCR_H
#define HCR_H

#ifdef USE_QPE
  #include <qlist.h>
#else
  #include <qptrlist.h>
#endif
    
#include <qpushbutton.h>
#include <qsocketnotifier.h>
#include <qtimer.h>
#include <qintdict.h>
#include "hcrwidget.h"
#include "hcrengine.h"
#include "kanjidic.h"
#include "kanjibutton.h"
#include "fonts.h"

#define MAX_GUESSES 10
#define BUFLEN 1000

class HCR : public HCRWidget
{
    Q_OBJECT
public:
    HCR(QWidget *parent = 0, const char *name = 0, WFlags f = 0);
    ~HCR();

    static bool initialize(const QString& kpEngineFileName, const QString& strokeDataFileName);


signals:
    void kanjiSelected(QChar);
    void kanjiHeld(QChar);

public slots:
    void slotLookupResults(QString str);

private slots:
	void slotIconsChanged();
    void slotClear();
    void slotKanjiSelected(QChar ch);
    void slotKanjiHeld(QChar ch);
    void slotLookup();
    void slotStrokesChanged(int n);

private:
    QTimer *_timer;
    QList<KanjiButton> _kanjiButtons;
    int _strokes;

    static HCREngine *_engine;

};

#endif
