/*
    JARDS, Japanese Reference and Drilling System.
    Copyright (C) 2006  Johnny Andersson (e-mail: andersson.johnny@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

// Some code originally by Norbert Siepenkoetter (norbert @ siepenkoetter . de)
// for the Kanji Nirvana project (http://www.geocities.com/palmradic/zaurus/kani.html)


#ifndef HCRENGINE_H
#define HCRENGINE_H

#include <qsocketnotifier.h>
#include <qpointarray.h>
#include <qintdict.h>
#include "kanjidic.h"

#define MAX_GUESSES 10
#define BUFLEN 1000

class HCR;

class HCREngine : public QObject
{
    Q_OBJECT
public:
    HCREngine(QObject *parent = 0, const char *name = 0);
    ~HCREngine();

    bool initialize(const QString& kpEngineFileName, const QString& strokeDataFileName);

    bool lookup(HCR *caller, QPointArray strokes, int numStrokes);

signals:
    void lookupResults(QString);

private slots:
    void slotGetdata(int);

private:
    bool _initialized;
    int _enginePID;
    FILE *_fromEngine;
    FILE *_toEngine;
    QSocketNotifier *_sn;
};

#endif
