/*
    JARDS, Japanese Reference and Drilling System.
    Copyright (C) 2006  Johnny Andersson (e-mail: andersson.johnny@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#include <qwidgetstack.h>
#include <qapplication.h>

#ifndef HVWIDGETSTACK_H
#define HVWIDGETSTACK_H

// Not used at the moment. Intended to automate switching between two versions (vert/horiz)
// of the same widget.

template<class V, class H> class HVWidgetStack : public QWidgetStack
{
public:

	HVWidgetStack(QWidget *parent = 0, const char *name = 0) : QWidgetStack(parent, name)
	{
	};
	~HVWidgetStack()
	{
	};

protected:
	V *_vert;
	H *_horiz;
	QWidget *_currW;

protected:
	virtual void swapWidgets() {};

private:
	void resizeEvent(QResizeEvent *)
	{
		if(qApp->mainWidget()->height() > qApp->mainWidget()->width())
		{
			if(_currW == _horiz)
				swapWidgets();
		}
		else if(_currW = _vert)
		{
			swapWidgets();
		}
	};

};




#endif
