/*
    JARDS, Japanese Reference and Drilling System.
    Copyright (C) 2006  Johnny Andersson (e-mail: andersson.johnny@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef HYPERTEXTBROWSER_H
#define HYPERTEXTBROWSER_H

#include <qstylesheet.h>
#include <qtextbrowser.h>

class HypertextBrowser : public QTextBrowser
{
Q_OBJECT
public:
    HypertextBrowser(QWidget *parent = 0, const char *name = 0);

    ~HypertextBrowser();

    void setText(const QString& str);

    void left();
    void right();
    void select();
    void resetCurrentLink();
	void updateFonts();

signals:
    void linkClicked(const QString& link, bool mouse);
    void close();

private:
	QStyleSheetItem *_generic;
	QStyleSheetItem *_kana;
	QStyleSheetItem *_largeKanji;
	QStyleSheetItem *_largeKana;
	QStyleSheet _sheet;
    QString _markedColor;
    QString removeHilight();
    void insertHilight(QString& str);
    void setSource(const QString& name);
    void keyPressEvent(QKeyEvent *e);
    int _pos;

};

#endif
