/*
    JARDS, Japanese Reference and Drilling System.
    Copyright (C) 2006  Johnny Andersson (e-mail: andersson.johnny@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef ITEMDETAILS_H
#define ITEMDETAILS_H

#ifdef USE_QPE
  #include <qlist.h>
#else
  #include <qptrlist.h>
#endif
#include "item.h"
#include "itempopup.h"
#include "itemdetailswidget.h"

class QPopupMenu;

class ItemDetails : public ItemDetailsWidget
{
Q_OBJECT
public:
    ItemDetails(QWidget *parent = 0, const char *name = 0);

    ~ItemDetails();

signals:
    void setTheseRadicals(QChar ch);
    void focusSearch(QChar ch);
    void addToList(const Item *item);

public slots:
	void slotFontsChanged();
	void slotIconsChanged();
    void slotShowItem(const Item *item);

private:
    void setupGui(const Item *item);
    int _maxHistory;
    QList<Item> _history;
    ItemPopup *_pop;

private slots:
    void slotHistoryActivated(int index);
    void slotToSearch();
    void slotAddToList();

};

#endif
