/*
    JARDS, Japanese Reference and Drilling System.
    Copyright (C) 2006  Johnny Andersson (e-mail: andersson.johnny@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#ifndef ITEMPOPUP_H
#define ITEMPOPUP_H

#include <qpopupmenu.h>
#include "item.h"

/**
@author 
*/

class QLabel;
class Item;

class ItemPopup : public QPopupMenu
{
Q_OBJECT
public:

	enum PopupFlags {ToList = 1, ToDetails = 2, Delete = 4};

    ItemPopup(QWidget *parent = 0, const char *name = 0);
    ~ItemPopup();

    void setItem(const Item *item, PopupFlags flags, int id = -1);

signals:
    void setTheseRadicals(QChar ch);
    void addToList(const Item *item);
    void showItem(const Item *item);
    void focusSearch(QChar ch);
    void remove(int);

private slots:
    void slotSetTheseRadicals();

private:
    int _id;
    Item *_item;

private slots:
    void slotRemove();
    void slotInfo();    
    void slotAddToList();
    void slotToSearch();
    

};

#endif
