/*
    JARDS, Japanese Reference and Drilling System.
    Copyright (C) 2006  Johnny Andersson (e-mail: andersson.johnny@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <iostream>
#include <qapplication.h>
#include "itemsheet.h"
#include "listmanager.h"

using std::cerr;


ItemSheet::ItemSheet(QWidget *parent, const char *name) : HypertextBrowser(parent, name)
{
    _item = 0;

    connect(this, SIGNAL(close()), this, SLOT(hide()));
    connect(this, SIGNAL(linkClicked(const QString&, bool )), this, SLOT(slotLinkClicked(const QString&, bool)));

}

ItemSheet::~ItemSheet()
{
    if(_item)
        delete _item;
}

void ItemSheet::setItem(const Item *item)
{
    if(_item)
        delete _item;

    _item = item->clone();

    QString str;


    str += _item->infoHTML();

    setText(str);
}

void ItemSheet::slotLinkClicked(const QString& str, bool mouse)
{
}

void ItemSheet::keyPressEvent(QKeyEvent *e)
{

    if(e->key() == Key_Space)
        select();

    else if(e->key() == Key_Right)
        right();

    else if(e->key() == Key_Left)
        left();


}
