/*
    JARDS, Japanese Reference and Drilling System.
    Copyright (C) 2006  Johnny Andersson (e-mail: andersson.johnny@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef JPNLINEEDIT_H
#define JPNLINEEDIT_H

#include <qlineedit.h>
#include "convert.h"

class JpnLineEdit : public QLineEdit
{
    Q_OBJECT
public:
    enum InputMode {Hiragana, Katakana, Romaji};

    JpnLineEdit(QWidget *parent = 0, const char *name = 0);
    ~JpnLineEdit();

    void setInputMode(InputMode mode);
    InputMode inputMode() {return _mode;};

    static void initialize(const QString& fileName);

signals:
    void keyPressed();
    void keyPressed(int);


public slots:
    void slotTrimText();

protected:
    bool eventFilter(QObject *, QEvent *e);

private:
    static Convert _conv;
    InputMode _mode;
    QString _kanaString;
    QString _engString;

private slots:
    void slotConvertText(const QString& str);

};

#endif
