/*
    JARDS, Japanese Reference and Drilling System.
    Copyright (C) 2006  Johnny Andersson (e-mail: andersson.johnny@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef KanjiBrowser_H
#define KanjiBrowser_H

#include "hypertextbrowser.h"

class ItemPopup;

class KanjiBrowser : public HypertextBrowser
{

Q_OBJECT
public:
    KanjiBrowser(QWidget *parent = 0, const char *name = 0);
    ~KanjiBrowser();

	void clear();	
    void left();
    void right();
    void select();
	void setOrientation(bool vertical);
	void addKanji(QChar ch);
	void setKanji(const QString& str);
	QString kanji() const {return _kanji;};

private slots:
	void slotLinkClicked(const QString& str, bool mouse);

private:
	ItemPopup *_pop;
	void updateText();
	bool _vertical;
	QString _kanji;
};

#endif
