/*
    JARDS, Japanese Reference and Drilling System.
    Copyright (C) 2006  Johnny Andersson (e-mail: andersson.johnny@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "kanjibutton.h"
#include "fonts.h"

KanjiButton::KanjiButton(QWidget *parent)
        : QPushButton(parent)
{

    connect(this, SIGNAL(clicked()), this, SLOT(slotClicked()));
    connect(this, SIGNAL(pressed()), this, SLOT(slotPressed()));
    connect(this, SIGNAL(released()), this, SLOT(slotReleased()));
    connect(&_timer, SIGNAL(timeout()), this, SLOT(slotTimeout()));

	setFont(glFonts->font(Fonts::FONT_Kana));
}

KanjiButton::KanjiButton(const QString& text, QWidget *parent) : QPushButton(text, parent)
{

    connect(this, SIGNAL(clicked()), this, SLOT(slotClicked()));
    connect(this, SIGNAL(pressed()), this, SLOT(slotPressed()));
    connect(this, SIGNAL(released()), this, SLOT(slotReleased()));
    connect(&_timer, SIGNAL(timeout()), this, SLOT(slotTimeout()));

	setFont(glFonts->font(Fonts::FONT_Kana));
}


KanjiButton::~KanjiButton()
{}

void KanjiButton::slotClicked()
{
    if(isToggleButton())
        emit(kanjiClicked(text()[0], state()));
    else
        emit(kanjiClicked(text()[0]));
}

void KanjiButton::slotPressed()
{
    _timer.start(400, true);
}

void KanjiButton::slotReleased()
{
    _timer.stop();
}

void KanjiButton::slotTimeout()
{
    if(isDown())
    {
        setDown(false);
        emit(kanjiHeld(text()[0]));
    }
    else
    {
        setDown(true);
        emit(kanjiHeld(text()[0]));
    }
}
