/*
    JARDS, Japanese Reference and Drilling System.
    Copyright (C) 2006  Johnny Andersson (e-mail: andersson.johnny@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef KANJILOOKUP_H
#define KANJILOOKUP_H

#include "kanjidic.h"
#include "kanjilookupwidget.h"

class ItemPopup;
class Item;

class KanjiLookup : public KanjiLookupWidget
{
    Q_OBJECT
public:

    KanjiLookup(QWidget *parent = 0, const char *name = 0, WFlags f = 0);
    ~KanjiLookup();

public slots:
    void slotSetTheseRadicals(QChar);

signals:
    void kanjiSelected(QChar);
    void setTheseRadicals(QChar);
    void showItem(const Item *);
    void addToListItem(const Item *);
    void hideClicked();

private:
	void resizeEvent(QResizeEvent *e);
	void showPage(QWidget *widget);
    int _maxHistory;
    QString _history;
    ItemPopup *_pop;

private slots:
	void slotFontsChanged();
	void slotIconsChanged();
	void slotShowRecent();
	void slotShowHCR();
	void slotShowSearch();
    void slotKanjiSelected(QChar ch);
    void slotKanjiHeld(QChar ch);
	void slotSaveState();
};

#endif
