/*
    JARDS, Japanese Reference and Drilling System.
    Copyright (C) 2006  Johnny Andersson (e-mail: andersson.johnny@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#include <iostream>
#include <qcheckbox.h>
#include <qapplication.h>
#include "listsettingsdialog.h"

using std::cerr;

ListSettingsDialog::ListSettingsDialog(QWidget *parent, const char *name)
 : ListSettingsDialogBase(parent, name, true, 0)
{
}	


ListSettingsDialog::~ListSettingsDialog()
{
}

void ListSettingsDialog::setList(ItemList *list)
{
	int skills = list->defaultSkills();

	__kanjiToKana->setChecked(skills & (1 << Box::KanjiToKana));
	__kanjiToMeaning->setChecked(skills & (1 << Box::KanjiToMeaning));
	__kanaToKanji->setChecked(skills & (1 << Box::KanaToKanji));
	__kanaToMeaning->setChecked(skills & (1 << Box::KanaToMeaning));
	__meaningToKanji->setChecked(skills & (1 << Box::MeaningToKanji));
	__meaningToKana->setChecked(skills & (1 << Box::MeaningToKana));
	
	_list = list;
}

void ListSettingsDialog::accept()
{
	_list->setDefaultSkills((__kanjiToKana->isChecked() << Box::KanjiToKana) |
						   (__kanjiToMeaning->isChecked() << Box::KanjiToMeaning) |
						   (__kanaToKanji->isChecked() << Box::KanaToKanji) |
						   (__kanaToMeaning->isChecked() << Box::KanaToMeaning) |
						   (__meaningToKanji->isChecked() << Box::MeaningToKanji) |
					       (__meaningToKana->isChecked() << Box::MeaningToKana));
	QDialog::accept();
}
