/*
    JARDS, Japanese Reference and Drilling System.
    Copyright (C) 2006  Johnny Andersson (e-mail: andersson.johnny@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef RADICALSDIALOG_H
#define RADICALSDIALOG_H

#include <qwidget.h>
#ifdef USE_QPE
  #include <qlist.h>
#else
  #include <qptrlist.h>
#endif
#include "kanjibutton.h"
#include "radicalsdialogbase.h"

/**
@author 
*/
class RadicalsDialog : public RadicalsDialogBase
{
Q_OBJECT
public:
    RadicalsDialog(QWidget *parent = 0, const char *name = 0);

    ~RadicalsDialog();

    void setRadicals(const QString& str);

    QString radicals();

signals:
   void kanjiSelected(QChar);
   void kanjiHeld(QChar);

private slots:
    void slotSelectedRadicalClicked(QChar ch);
    void slotRadicalsChanged();
    void slotPopulate(int index);

private:
    QHBoxLayout *_selectedLayout;
    QList<KanjiButton> _selRadButtons;  


};

#endif
