/*
    JARDS, Japanese Reference and Drilling System.
    Copyright (C) 2006  Johnny Andersson (e-mail: andersson.johnny@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <iostream>
#include <qcombobox.h>
#include <qapplication.h>
#include <qtoolbutton.h>
#include "results.h"
#include "itemlistview.h"
#include "fonts.h"

using std::cerr;


Results::Results(QWidget *parent, const char *name, WFlags f)
        : ResultsWidget(parent, name, f)
{
    _maxHistory = 10;
//    connect(__historyCB, SIGNAL(activated(int)), this, SLOT(slotHistoryActivated(int)));
	connect(__toListButton, SIGNAL(clicked()), this, SLOT(slotToListButtonClicked()));
	connect(__detailsButton, SIGNAL(clicked()), this, SLOT(slotDetailsButtonClicked()));
	connect(glFonts, SIGNAL(iconsChanged()), this, SLOT(slotIconsChanged()));	
	connect(glFonts, SIGNAL(fontsChanged()), this, SLOT(slotFontsChanged()));
//	__historyCB->hide();

    _history.setAutoDelete(true);

    setFocusProxy(__browser);

}

Results::~Results()
{
}

void Results::slotFontsChanged()
{
	__browser->updateFonts();
}


void Results::slotIconsChanged()
{
	QString str;

	if(glFonts->iconSize() == Fonts::ICONSIZE_Small)	
		str = "small_";
	else
		str = "large_";

	__toListButton->setPixmap(glFonts->imagePath() + str + "plus.png");	
	__detailsButton->setPixmap(glFonts->imagePath() + str + "details.png");	

}

void Results::slotToListButtonClicked()
{
	if(__browser->currIndex() == -1)
		return;

	emit addToList(__browser->currItem());
}

void Results::slotDetailsButtonClicked()
{
	if(__browser->currIndex() == -1)
		return;

	emit showItem(__browser->currItem());
}

//void Results::slotHistoryActivated(int index)
//{
//   __browser->clear();
//
//    emit(repeatSearch(_history.at(index)->_mode, _history.at(index)->_string, _history.at(index)->_J2E));
//
//    __browser->setFocus();
//}

void Results::newResult(Dictionary::SearchMode mode, const QStringList& strings, QList<const DictWord> *res, bool J2E, bool repeat)
{
    QString str;

    if(repeat)
    {
        __browser->setList(res);
        return;
    }
/*
    if(mode == Dictionary::Beginning)
        str = tr("Beginning: ");
    else if(mode == Dictionary::Middle)
        str = tr("Anywhere: ");
    else if(mode == Dictionary::End)
        str = tr("End: ");
    else if(mode == Dictionary::Exact)
        str = tr("Exact: ");

    SavedSearch *s = new SavedSearch();
    s->_mode = mode;
    s->_string = strings[0];
    s->_J2E = J2E;

    _history.prepend(s);

    str += strings[0];

   if(__historyCB->count() == _maxHistory)
   {
        __historyCB->removeItem(__historyCB->count()-1);
        _history.removeLast();
    }
    __historyCB->insertItem(str, 0);
    __historyCB->setCurrentItem(0);
*/
    __browser->clear();
    __browser->setList(res);
}

