/*
    JARDS, Japanese Reference and Drilling System.
    Copyright (C) 2006  Johnny Andersson (e-mail: andersson.johnny@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#ifndef RESULTS_H
#define RESULTS_H

#include <qstringlist.h>
#include "dictmanager.h"
#include "kanjidic.h"
#include "resultswidget.h"
#include "item.h"


class Results : public ResultsWidget
{
    Q_OBJECT
public:
    Results(QWidget *parent = 0, const char *name = 0, WFlags f = 0);
    ~Results();

    void newResult(Dictionary::SearchMode mode, const QStringList& strings, QList<const DictWord> *res, bool J2E, bool repeat);
    void appendRadical(QChar radical);

signals:
    void repeatSearch(Dictionary::SearchMode, const QString& string, bool);
    void activateSearchWidget();
    void showItem(const Item *);
    void addToList(const Item *);


private slots:
	void slotFontsChanged();
	void slotIconsChanged();
	void slotToListButtonClicked();
	void slotDetailsButtonClicked();

private:
    class SavedSearch 
    {
    public:
        Dictionary::SearchMode _mode;
        QString _string;
        bool _J2E;
    };

    QList<SavedSearch> _history;
    int _maxHistory;

};

#endif
