/*
    JARDS, Japanese Reference and Drilling System.
    Copyright (C) 2006  Johnny Andersson (e-mail: andersson.johnny@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <iostream>
#include <qregexp.h>
#include <qcursor.h>

#include "resultsitem.h"
#include "dictmanager.h"
#include "fonts.h"

using namespace std;

ResultsItem::ResultsItem(QWidget *parent, const char *name)
        : HypertextBrowser(parent, name)
{
    connect(this, SIGNAL(linkClicked(const QString&, bool)), this, SLOT(slotLinkClicked(const QString&, bool)));

    show();

    _item = 0;
}


ResultsItem::~ResultsItem()
{
//    if(_item)
//        delete _item;
}

void ResultsItem::clear()
{
	_item = 0;
	setText("");
}

void ResultsItem::slotLinkClicked(const QString& str, bool mouse)
{
    QPoint pos = mouse ? QCursor::pos() : QWidget::mapToGlobal(QPoint(width() / 2, height() / 2));   

    if(str[0] == 'K')
    {
        Kanji kanji =  glKanjiDic->getKanji(str[1]);
        emit wordPartClicked(&kanji, pos);
        return;
    }

    if(str[0] == 'W')
    {
        emit(itemClicked(_item, pos));
    }
}

void ResultsItem::setItem(const Item *item)
{
//    if(_item)
//        delete _item;

    _item = item; //->clone();

    setText(item->listHTML());
}

