/*
    JARDS, Japanese Reference and Drilling System.
    Copyright (C) 2006  Johnny Andersson (e-mail: andersson.johnny@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef RESULTSITEM_H
#define RESULTSITEM_H

#include "hypertextbrowser.h"
#include "kanjidic.h"
#include "dictionary.h"

class ResultsItem : public HypertextBrowser
{
    Q_OBJECT
public:

    ResultsItem(QWidget *parent = 0, const char *name = 0);
    ~ResultsItem();

    void activateNextCharacter();
    void activatePrevCharacter();
    void setItem(const Item *item);
    void selectButtonPressed();
	void clear();

signals:
    void itemClicked(const Item*, QPoint);
    void wordPartClicked(const Item*, QPoint);
    void markerClicked(const QString&, QPoint);
    void kanjiReadingClicked(const DictKanji *, QString);

private:
    QString _readingColor, _kanjiColor, _currentColor;
    int _currChar;
    int _showFlags;
    const Item *_item;
    
    void updateText();

private slots:
    void slotLinkClicked(const QString& str, bool mouse);

};

#endif
