/*
    JARDS, Japanese Reference and Drilling System.
    Copyright (C) 2006  Johnny Andersson (e-mail: andersson.johnny@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef SEARCH_H
#define SEARCH_H

#include <qtimer.h>
#include "searchwidget.h"
#include "kanjidic.h"
#include "dictmanager.h"
#include "results.h"

class Search : public SearchWidget
{
    Q_OBJECT

public:
    Search(QWidget *parent = 0, const char *name = 0, WFlags f = 0);
    ~Search();

signals:
    void statusAlert();
    void setMessage(const QString&);
    void setMessage(const QString&, float);
    void showItem(const Item *);
    void addToList(const Item *);

public slots:
    void slotInsertChar(QChar ch);
    void slotSetTheseRadicals(QChar ch);
    void slotInsertChar(const Kanji& kanji);
    void slotFocusSearch(QChar ch);
    void slotFocusSearch();
    void slotSetSearchMode(Dictionary::SearchMode mode);

private slots:
    void slotInputKeyPressed();
    void slotSearch();
    void slotCancel();
    
private:
    QTimer *_autoSearchTimer;
    void focusResults();

};

#endif
