/*
    JARDS, Japanese Reference and Drilling System.
    Copyright (C) 2006  Johnny Andersson (e-mail: andersson.johnny@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#include <iostream>
#include <qcheckbox.h>
#include <qapplication.h>
#include <qspinbox.h>
#include "settingsdialog.h"
#include "item.h"

using std::cerr;

#define MINSTODAYS (60*24)

SettingsDialog::SettingsDialog(QWidget *parent, const char *name)
 : SettingsDialogBase(parent, name, true, 0)
{
	__1->setValue(Box::repeatDelay(0) / MINSTODAYS);
	__2->setValue(Box::repeatDelay(1) / MINSTODAYS);
	__3->setValue(Box::repeatDelay(2) / MINSTODAYS);
	__4->setValue(Box::repeatDelay(3) / MINSTODAYS);
	__5->setValue(Box::repeatDelay(4) / MINSTODAYS);
}	

SettingsDialog::~SettingsDialog()
{
}

void SettingsDialog::accept()
{
	Box::setRepeatDelay(0, __1->value() * MINSTODAYS);
	Box::setRepeatDelay(1, __2->value() * MINSTODAYS);
	Box::setRepeatDelay(2, __3->value() * MINSTODAYS);
	Box::setRepeatDelay(3, __4->value() * MINSTODAYS);
	Box::setRepeatDelay(4, __5->value() * MINSTODAYS);	

	QDialog::accept();
}
