/*
    JARDS, Japanese Reference and Drilling System.
    Copyright (C) 2006  Johnny Andersson (e-mail: andersson.johnny@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#include <qcombobox.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include "train.h"
#include "trainselect.h"
#include "boxtrain.h"
#include "listmanager.h"

Train::Train(QWidget *parent, const char *name)
        : TrainWidget(parent, name)
{

	connect(__trainSelect, SIGNAL(showBoxTrain()), this, SLOT(slotShowBoxTrain()));
	connect(__boxTrain, SIGNAL(showTrainSelect()), this, SLOT(slotShowTrainSelect()));

	__boxTrain->hide();


}

Train::~Train()
{
}

void Train::slotShowBoxTrain()
{
	__trainSelect->hide();
	__boxTrain->setList(__trainSelect->itemsToTrain());
	__boxTrain->show();
	__boxTrain->setFocus();
}

void Train::slotShowTrainSelect()
{
	__boxTrain->hide();
	__trainSelect->slotUpdateList();
	__trainSelect->show();
}

