/*
    JARDS, Japanese Reference and Drilling System.
    Copyright (C) 2006  Johnny Andersson (e-mail: andersson.johnny@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef VERTBUTTONS_H
#define VERTBUTTONS_H

#ifdef USE_QPE
  #include <qlist.h>
#else
  #include <qptrlist.h>
#endif
   
#include <qwidget.h>
#include <qpushbutton.h>
#include <qscrollview.h>
#include <qlayout.h>
#include "kanjibutton.h"
#include <qvbox.h>
#include "vertbuttonswidget.h"

class VertButtons : public VertButtonsWidget
{
Q_OBJECT
public:
    VertButtons(QWidget *parent = 0, const char *name = 0);

    ~VertButtons();

   void setButtons(QString labels);

protected:
    void resizeEvent(QResizeEvent *e);   
      
   
private slots:
    void slotUpClicked();
    void slotDownClicked();   
   
signals:
    void buttonClicked(QChar);
    void buttonClicked(QChar, QButton::ToggleState);
    void buttonHeld(QChar);   
   
private:
    void adjustButtons();
    QVBox *_vBox;
    QList<KanjiButton> _buttons;
};

#endif
